PHP Manual
Prev |  | Next

# msql_fetch_object

(PHP 3, PHP 4, PHP 5)

msql_fetch_object -- Fetch row as object

## Description

object msql_fetch_object ( resource result )

msql_fetch_object() is similar to msql_fetch_array(), with one difference - an object is returned, instead of an array. Indirectly, that means that you can only access the data by the field names, and not by their offsets (numbers are illegal property names).

Speed-wise, the function is identical to msql_fetch_array(), and almost as quick as msql_fetch_row() (the difference is insignificant).

## Parameters

result

  The result resource that is being evaluated. This result comes from a call to msql_query().

## Return Values

Returns an object with properties that correspond to the fetched row, or `FALSE` if there are no more rows.

## Examples

Example 1. msql_fetch_object() example
`<?php $con = msql_connect(); if (!$con) { die('Server connection problem: ' . msql_error()); } if (!msql_select_db('test', $con)) { die('Database connection problem: ' . msql_error()); } $result = msql_query('SELECT id, name FROM people', $con); if (!$result) { die('Query execution problem: ' . msql_error()); } while ($row = msql_fetch_object($result, MSQL_ASSOC)) { echo $row->id . ': ' . $row->name . "\n"; } msql_free_result($result); ?>`

## ChangeLog

Version | Description
--- | ---
4.3.11 and 5.0.4 | A bug was fixed when retrieving data from columns containing `NULL` values. Such columns were not placed into the resulting array.

## See Also

msql_fetch_array()
msql_fetch_row()
msql_data_seek()
msql_result()

Prev | Home | Next
msql_fetch_field | Up | msql_fetch_row